.TH wxStatusBar 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxStatusBar \- See external documentation: wxStatusBar\&.
.SH DESCRIPTION
.LP
See external documentation: wxStatusBar <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxstatusbar\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxStatusBar()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxStatusBar()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxstatusbar\&.html#wxstatusbarwxstatusbar>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow)) -> wxStatusBar()
.br
.RS
.LP
Equivalent to new(Parent, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Options::[Option]) -> wxStatusBar()
.br
.RS
.TP
Types
Option = {winid, integer()} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxstatusbar\&.html#wxstatusbarwxstatusbar>\&.
.RE
.LP
.B
create(This::wxStatusBar(), Parent::wxWindow() (see module wxWindow)) -> bool()
.br
.RS
.LP
Equivalent to create(This, Parent, [])\&.
.RE
.LP
.B
create(This::wxStatusBar(), Parent::wxWindow() (see module wxWindow), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {winid, integer()} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxstatusbar\&.html#wxstatusbarcreate>\&.
.RE
.LP
.B
getFieldRect(This::wxStatusBar(), I::integer(), Rect::{X::integer(), Y::integer(), W::integer(), H::integer()}) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxstatusbar\&.html#wxstatusbargetfieldrect>\&.
.RE
.LP
.B
getFieldsCount(This::wxStatusBar()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxstatusbar\&.html#wxstatusbargetfieldscount>\&.
.RE
.LP
.B
getStatusText(This::wxStatusBar()) -> string()
.br
.RS
.LP
Equivalent to getStatusText(This, [])\&.
.RE
.LP
.B
getStatusText(This::wxStatusBar(), Options::[Option]) -> string()
.br
.RS
.TP
Types
Option = {number, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxstatusbar\&.html#wxstatusbargetstatustext>\&.
.RE
.LP
.B
popStatusText(This::wxStatusBar()) -> ok
.br
.RS
.LP
Equivalent to popStatusText(This, [])\&.
.RE
.LP
.B
popStatusText(This::wxStatusBar(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {number, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxstatusbar\&.html#wxstatusbarpopstatustext>\&.
.RE
.LP
.B
pushStatusText(This::wxStatusBar(), Text::string()) -> ok
.br
.RS
.LP
Equivalent to pushStatusText(This, Text, [])\&.
.RE
.LP
.B
pushStatusText(This::wxStatusBar(), Text::string(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {number, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxstatusbar\&.html#wxstatusbarpushstatustext>\&.
.RE
.LP
.B
setFieldsCount(This::wxStatusBar(), Number::integer()) -> ok
.br
.RS
.LP
Equivalent to setFieldsCount(This, Number, [])\&.
.RE
.LP
.B
setFieldsCount(This::wxStatusBar(), Number::integer(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {widths, [integer()]}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxstatusbar\&.html#wxstatusbarsetfieldscount>\&.
.RE
.LP
.B
setMinHeight(This::wxStatusBar(), Height::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxstatusbar\&.html#wxstatusbarsetminheight>\&.
.RE
.LP
.B
setStatusText(This::wxStatusBar(), Text::string()) -> ok
.br
.RS
.LP
Equivalent to setStatusText(This, Text, [])\&.
.RE
.LP
.B
setStatusText(This::wxStatusBar(), Text::string(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {number, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxstatusbar\&.html#wxstatusbarsetstatustext>\&.
.RE
.LP
.B
setStatusWidths(This::wxStatusBar(), Widths_field::[integer()]) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxstatusbar\&.html#wxstatusbarsetstatuswidths>\&.
.RE
.LP
.B
setStatusStyles(This::wxStatusBar(), Styles::[integer()]) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxstatusbar\&.html#wxstatusbarsetstatusstyles>\&.
.RE
.LP
.B
destroy(This::wxStatusBar()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
